Public APIAPI ReferenceBuilds
Get compute defaults for a build job.
Beta API
The /v1 API contract may change, including breaking changes without compatibility aliases.
GET
/v1/build-jobs/{jobId}/configRequires the active job's ntrob_ Bearer job token. Returns the app compute defaults saved when the job was created; subsequent changes to app settings are not reflected.
Path Parameters
jobId*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/build-jobs/string/config"{ "computeDefaults": { "healthPath": "string", "maxInstances": 0, "minInstances": 0, "port": 0, "regions": [ "string" ], "tier": "string" }}